<?php

namespace App\Services\Interfaces;

use App\Models\Category;
use Illuminate\Http\Request;

interface CategoryRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Category $category);
    public function create($request);
    public function update($request,$id);
    public function restore($request,$id);
    public function delete($request,$id);
}
